upgrade to php7 & npm got broken

原创
2017/06/13 11:28
阅读数 15

参照教程: Install PHP7.1 on OSX with homebrew

apahce应该需要重新设置吧,然后发现踩了以前的坑。

mac攻略(五) -- 使用brew配置php7开发环境(mac+php+apache+mysql+redis)

参考这篇教程,用brew时需要 brew install php71 --with-apache。就说改apache http.conf时找不到libexec/libphp7.so在哪里。

用brew安装!

  • 先brew search formula
  • 然后再brew info formula可以确认很多东西 brew info php71简直不能再良心,提示了如果是apache需要--with-apahce,还有To lauch php-fpm在开机时,cp plist然后在lauchcrl load -w总之好高级的操作。

如何通俗地解释 CGI、FastCGI、php-fpm 之间的关系? 눈_눈,ok, genuflect

访问到了,then no accident followed by problems.

beeside | laravel 是报Mcrypt PHP extension required.

flowweb | brave 是报Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

1.brew install php71-mcrypt, 解决,然后throwed out another exception 눈_눈 Function mcrypt_get_iv_size() is deprecated, okok大概,平时开发暂时放弃php7了?

欧公司的框架怎么老,居然是laravel4的语法。Genuflect again.

npm

node.js - npm doesn't work, get always this error -> Error: Cannot find module 'are-we-there-yet'

有如上报错。overflow推荐的nstalling npm from scratch无效,只好重装nodejs..

cd ~
git clone https://github.com/nodejs/node.git nodejs_code
cd nodejs_code
./configure
make
make install

そろそろ始まりましょうよ、webGLの開発

  • thebookofshaders この本はフラグメントシェーダーについてのガイドブックです。難解で複雑なフラグメントシェーダーの世界を、一歩一歩わかりやすくご案内します。
  • WebGL開発支援サイト 来たるべき WebGL2 の時代へ
展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部